<!--
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages).

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages).
-->

# TSP Package

TSP Package is a Dart package that provides a solution for the Traveling Salesman Problem (TSP). It includes an implementation of the Nearest Neighbor algorithm to find an approximate solution for the TSP route based on a list of locations.

## Features

- Calculate the Traveling Salesman Problem (TSP) route using the Nearest Neighbor algorithm.
- Support for calculating routes based on latitude and longitude coordinates using the `google_maps_flutter` package.

## Getting Started

To start using the TSP Package, make sure you have added it as a dependency in your Dart project's `pubspec.yaml` file. For example:

## Example

This package includes an example that demonstrates how to use the main features of the package.

To run the example, follow these steps:

1. Ensure that you have the required dependencies listed in the `pubspec.yaml` file.
2. Open the `example/example_usage.dart` file.
3. Run the code to see the output in the console.


```yaml
dependencies:
  tsp_route_finder: ^0.0.1